Loading...
Searching...
No Matches
gx_seq::PluginPresetConnectWindow Class Reference

`#include <gx_sequencer_settings.h>`

Inheritance diagram for gx_seq::PluginPresetConnectWindow:

## Public Member Functions

| ~PluginPresetConnectWindow ()
void | run ()

## Static Public Member Functions

static PluginPresetConnectWindow * | create (gx_engine::GxMachineBase &machine)

## Private Member Functions

void | on_connect ()
void | on_selection_changed ()
virtual bool | on_key_press_event (GdkEventKey *event)
| PluginPresetConnectWindow (BaseObjectType *cobject, Glib::RefPtr< gx_gui::GxBuilder > bld, gx_engine::GxMachineBase &machine)

## Static Private Member Functions

static PluginPresetConnectWindow * | create_from_builder (BaseObjectType *cobject, Glib::RefPtr< gx_gui::GxBuilder > bld, gx_engine::GxMachineBase &machine)

## Private Attributes

Glib::RefPtr< UPresetListStore > | upresetliststore
gx_engine::GxMachineBase & | machine
Gtk::TreeView * | treeview
Gtk::Button * | connectbutton

## Detailed Description

Definition at line 59 of file gx_sequencer_settings.h.

## Constructor & Destructor Documentation

## PluginPresetConnectWindow()

gx_seq::PluginPresetConnectWindow::PluginPresetConnectWindow | ( | BaseObjectType * | cobject,
|  | Glib::RefPtr< gx_gui::GxBuilder > | bld,
|  | gx_engine::GxMachineBase & | machine )

private

Referenced by create(), and create_from_builder().

## ~PluginPresetConnectWindow()

gx_seq::PluginPresetConnectWindow::~PluginPresetConnectWindow | ( |  | ) |

## Member Function Documentation

## create()

PluginPresetConnectWindow * gx_seq::PluginPresetConnectWindow::create | ( | gx_engine::GxMachineBase & | machine | ) |

static

## create_from_builder()

PluginPresetConnectWindow * gx_seq::PluginPresetConnectWindow::create_from_builder | ( | BaseObjectType * | cobject,
|  | Glib::RefPtr< gx_gui::GxBuilder > | bld,
|  | gx_engine::GxMachineBase & | machine )

static private

## on_connect()

void gx_seq::PluginPresetConnectWindow::on_connect | ( |  | ) |

private

## on_key_press_event()

virtual bool gx_seq::PluginPresetConnectWindow::on_key_press_event | ( | GdkEventKey * | event | ) |

private virtual

## on_selection_changed()

void gx_seq::PluginPresetConnectWindow::on_selection_changed | ( |  | ) |

private

## run()

void gx_seq::PluginPresetConnectWindow::run | ( |  | ) |

## Member Data Documentation

## connectbutton

Gtk::Button* gx_seq::PluginPresetConnectWindow::connectbutton

private

Definition at line 64 of file gx_sequencer_settings.h.

## machine

gx_engine::GxMachineBase& gx_seq::PluginPresetConnectWindow::machine

private

Definition at line 62 of file gx_sequencer_settings.h.

Referenced by create(), create_from_builder(), and PluginPresetConnectWindow().

## treeview

Gtk::TreeView* gx_seq::PluginPresetConnectWindow::treeview

private

Definition at line 63 of file gx_sequencer_settings.h.

## upresetliststore

Glib::RefPtr<UPresetListStore> gx_seq::PluginPresetConnectWindow::upresetliststore

private

Definition at line 61 of file gx_sequencer_settings.h.

The documentation for this class was generated from the following file:

- src/headers/gx_sequencer_settings.h